"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.uninstallMergeDriver = exports.installMergeDriver = exports.lockfileMergeDriver = void 0;
const lockfileMergeDriver = __importStar(require("./lockfileMergeDriver"));
exports.lockfileMergeDriver = lockfileMergeDriver;
const constants_1 = require("@pnpm/constants");
const execa = require("execa");
const path = require("path");
const renderHelp = require("render-help");
const MERGE_DRIVER_CLI = path.join(__dirname, 'node_modules/npm-merge-driver/index.js');
const PNPM_MERGE_DRIVER_NAME = 'pnpm-lock-merge-driver';
exports.installMergeDriver = {
    cliOptionsTypes: () => ({}),
    rcOptionsTypes: () => ({}),
    commandNames: ['install-merge-driver'],
    help: () => renderHelp({
        description: 'Set up the merge driver in the current Git repository.',
        usages: [],
    }),
    handler: async () => {
        execa.sync('node', [
            MERGE_DRIVER_CLI,
            '--driver-name',
            PNPM_MERGE_DRIVER_NAME,
            '--driver',
            `pnpm ${lockfileMergeDriver.commandNames[0]} %A %O %B %P`,
            '--files',
            constants_1.WANTED_LOCKFILE,
        ], { stdio: 'inherit' });
    },
};
exports.uninstallMergeDriver = {
    cliOptionsTypes: () => ({}),
    rcOptionsTypes: () => ({}),
    commandNames: ['uninstall-merge-driver'],
    help: () => renderHelp({
        description: 'Remove a previously configured pnpm merge driver.',
        usages: [],
    }),
    handler: async () => {
        execa.sync('node', [
            MERGE_DRIVER_CLI,
            '--driver-name',
            PNPM_MERGE_DRIVER_NAME,
        ], { stdio: 'inherit' });
    },
};
//# sourceMappingURL=index.js.map